﻿Imports System
Imports System.Reflection
Imports System.Web.Mvc

Namespace MsdnMvcWebGrid.Infrastructure
    Public Class AjaxAttribute
        Inherits ActionMethodSelectorAttribute
        Private ReadOnly _ajax As Boolean

        Public Sub New(ByVal ajax As Boolean)
            _ajax = ajax
        End Sub

        Public Overrides Function IsValidForRequest(ByVal controllerContext As ControllerContext, ByVal methodInfo As MethodInfo) As Boolean
            Return _ajax = controllerContext.HttpContext.Request.IsAjaxRequest()
        End Function
    End Class
End Namespace