﻿@imports MsdnMvcWebGrid.Infrastructure;
@imports MsdnMvcWebGrid.Domain;
@imports system.web.Mvc;
@Modeltype IEnumerable(Of MsdnMvcWebGrid.Domain.Product)

@code
	ViewBag.Title = "Basic Strongly-Typed Web Grid"
    End code

<h2>Basic Strongly-Typed Web Grid</h2>


<div id="grid">

@code
    @*Dim grid = New WebGrid(Of Product)(Model)*@
    Dim grid = Html.Grid(Model)
End code
@* Simple grid *@
@*@grid.GetHtml()*@


@*Grid with simple colunn customisation*@
@*grid.GetHtml(columns:= grid.Columns(grid.Column("Name"), grid.Column("ListPrice", header:="List Price")))
*@

@*Grid with more advanced column customisation*@

@grid.GetHtml(columns:= grid.Columns(grid.Column("Name", format:= Function(item) _
                                                                      Html.ActionLink(item.Name, "Details", "Product", _
                                                                                      New With {Key .id = item.ProductId}, Nothing)), _
                                                                              grid.Column("ListPrice", header:= "List Price", _
                                                                                          format:=Function(item) item.ListPrice.ToString("0.00"))))
</div> 