﻿@modeltype IEnumerable(of MsdnMvcWebGrid.Domain.Product)
@imports MsdnMvcWebGrid.Infrastructure;
@imports MsdnMvcWebGrid.Domain;
@code
    ViewBag.Title = "Default Paging And Sorting"
End code

<h2>Default Paging And Sorting</h2>


<div id="grid">

@code
    Dim grid = Html.Grid(Model, rowsPerPage:=5, defaultSort:="Name")
End code



@grid.GetHtml(columns:= grid.Columns(grid.Column("Name", format:= Function(item) _
                                                                      Html.ActionLink(item.Name, "Details", "Product", _
                                                                                      New With {Key .id = item.ProductId}, Nothing)), _
                                                                              grid.Column("ListPrice", header:= "List Price", _
                                                                                          format:=Function(item) item.ListPrice.ToString("0.00"))))

</div>

<p>
	Model.Count() = @Model.Count()
</p>