﻿@modeltype MsdnMvcWebGrid.Models.Product.PagedProductsModel
@imports MsdnMvcWebGrid.Infrastructure;
@imports MsdnMvcWebGrid.Domain;
@code
    ViewBag.Title = "Standard Ajax"
End code
@section scripts{
	<script src="@Url.Content("~/Scripts/jquery-1.4.4.min.js")" type="text/javascript"></script>
}

<h2>Standard Ajax</h2>


<div id="grid">

@code 
    'var grid = Html.ServerPagedGrid(Model.Products, Model.TotalRows, rowsPerPage: Model.PageSize, ajaxUpdateContainerId: "grid");
    Dim grid = New WebGrid(Of Product)(Nothing, rowsPerPage:=Model.PageSize, defaultSort:="Name", ajaxUpdateContainerId:="grid")
    grid.Bind(Model.Products, autoSortAndPage:=False, rowCount:=Model.TotalRows)

End code
@grid.GetHtml(columns:=grid.Columns(grid.Column("Name", format:=Function(item) _
                                                                      Html.ActionLink(item.Name, "Details", "Product", _
                                                                                      New With {Key .id = item.ProductId}, Nothing)), _
                                                                              grid.Column("ListPrice", header:="List Price", _
                                                                                          format:=Function(item) item.ListPrice.ToString("0.00"))))
</div>

<p>
	Model.Products.Count() = @Model.Products.Count()
</p>
<p>
	Model.TotalRows = @Model.TotalRows
</p>